Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.demo.facet
Class MultiCategoryListsFacetsExample

    java.lang.Object
      org.apache.lucene.demo.facet.MultiCategoryListsFacetsExample

    public class MultiCategoryListsFacetsExample

extends Object

Demonstrates indexing categories into different category lists.

Constructor Summary
`MultiCategoryListsFacetsExample()` Creates a new instance and populates the catetory list params mapping.

Method Summary
`static void` | `main(String[] args)` Runs the search example and prints the results.
`List<FacetResult>` | `runSearch()` Runs the search example.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiCategoryListsFacetsExample

    public MultiCategoryListsFacetsExample()

  Creates a new instance and populates the catetory list params mapping.

Method Detail

### runSearch

    public List<FacetResult> runSearch()
                                throws IOException

  Runs the search example.

  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws Exception

  Runs the search example and prints the results.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.